# ReplicaManager3.h File Reference

Contains the third iteration of the ReplicaManager class. More...

`#include "NativeFeatureIncludes.h"`
`#include "DS_Multilist.h"`
`#include "RakNetTypes.h"`
`#include "RakNetTime.h"`
`#include "BitStream.h"`
`#include "PacketPriority.h"`
`#include "PluginInterface2.h"`
`#include "NetworkIDObject.h"`

## Classes
class | RakNet::ReplicaManager3
| System to help automate game object construction, destruction, and serialization. More...
struct | RakNet::LastSerializationResult
struct | RakNet::SerializeParameters
class | RakNet::Connection_RM3
| Each remote system is represented by Connection_RM3. Used to allocate Replica3 and track which instances have been allocated. More...
class | RakNet::Replica3
| Base class for your replicated objects for the ReplicaManager3 system. More...
## Namespaces
namespace | RakNet
| Forward declaration.

## Enumerations
enum | RakNet::RM3ConstructionState { RakNet::RM3CS_SEND_CONSTRUCTION, RakNet::RM3CS_ALREADY_EXISTS_REMOTELY, RakNet::RM3CS_NEVER_CONSTRUCT, RakNet::RM3CS_NO_ACTION }
| Return codes for Connection_RM3::GetConstructionState() and Replica3::QueryConstruction(). More...
enum | RakNet::RM3DestructionState { RakNet::RM3DS_SEND_DESTRUCTION, RakNet::RM3DS_DO_NOT_QUERY_DESTRUCTION, RakNet::RM3DS_NO_ACTION }
enum | RakNet::RM3SerializationResult { RakNet::RM3SR_BROADCAST_IDENTICALLY, RakNet::RM3SR_BROADCAST_IDENTICALLY_FORCE_SERIALIZATION, RakNet::RM3SR_SERIALIZED_UNIQUELY, RakNet::RM3SR_SERIALIZED_ALWAYS, RakNet::RM3SR_SERIALIZED_ALWAYS_IDENTICALLY, RakNet::RM3SR_DO_NOT_SERIALIZE, RakNet::RM3SR_NEVER_SERIALIZE_FOR_THIS_CONNECTION }
enum | RakNet::RM3QuerySerializationResult { RakNet::RM3QSR_CALL_SERIALIZE, RakNet::RM3QSR_DO_NOT_CALL_SERIALIZE, RakNet::RM3QSR_NEVER_CALL_SERIALIZE }

## Detailed Description

Contains the third iteration of the ReplicaManager class.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.